/* cmdline.h */

/* File autogenerated by gengetopt version 2.19.1  */

#ifndef CMDLINE_H
#define CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "untie"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "0.3"
#endif

struct gengetopt_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int mount_flag;	/* New mount namespace (default=off).  */
  const char *mount_help; /* New mount namespace help description.  */
  int uname_flag;	/* New uname (default=off).  */
  const char *uname_help; /* New uname help description.  */
  int ipc_flag;	/* New IPC context (default=off).  */
  const char *ipc_help; /* New IPC context help description.  */
  int* mask_arg;	/* Pass user defined flag.  */
  char ** mask_orig;	/* Pass user defined flag original value given at command line.  */
  int mask_min; /* Pass user defined flag's minimum occurreces */
  int mask_max; /* Pass user defined flag's maximum occurreces */
  const char *mask_help; /* Pass user defined flag help description.  */
  char * chroot_arg;	/* Chroot in the specified directory.  */
  char * chroot_orig;	/* Chroot in the specified directory original value given at command line.  */
  const char *chroot_help; /* Chroot in the specified directory help description.  */
  int uid_arg;	/* Change to the specified UID.  */
  char * uid_orig;	/* Change to the specified UID original value given at command line.  */
  const char *uid_help; /* Change to the specified UID help description.  */
  char * username_arg;	/* Change to the specified username.  */
  char * username_orig;	/* Change to the specified username original value given at command line.  */
  const char *username_help; /* Change to the specified username help description.  */
  int* gid_arg;	/* Add the specified GID.  */
  char ** gid_orig;	/* Add the specified GID original value given at command line.  */
  int gid_min; /* Add the specified GID's minimum occurreces */
  int gid_max; /* Add the specified GID's maximum occurreces */
  const char *gid_help; /* Add the specified GID help description.  */
  char ** groupname_arg;	/* Add the specified group.  */
  char ** groupname_orig;	/* Add the specified group original value given at command line.  */
  int groupname_min; /* Add the specified group's minimum occurreces */
  int groupname_max; /* Add the specified group's maximum occurreces */
  const char *groupname_help; /* Add the specified group help description.  */
  int daemonize_flag;	/* Run as daemon (default=off).  */
  const char *daemonize_help; /* Run as daemon help description.  */
  int alarm_arg;	/* Set an alarm after the specified delay.  */
  char * alarm_orig;	/* Set an alarm after the specified delay original value given at command line.  */
  const char *alarm_help; /* Set an alarm after the specified delay help description.  */
  int nice_arg;	/* Run as the specified nice level.  */
  char * nice_orig;	/* Run as the specified nice level original value given at command line.  */
  const char *nice_help; /* Run as the specified nice level help description.  */
  char * sched_arg;	/* Use the specified (possibly RT) scheduling policy.  */
  char * sched_orig;	/* Use the specified (possibly RT) scheduling policy original value given at command line.  */
  const char *sched_help; /* Use the specified (possibly RT) scheduling policy help description.  */
  int schedprio_arg;	/* Set the priority according to the given scheduler.  */
  char * schedprio_orig;	/* Set the priority according to the given scheduler original value given at command line.  */
  const char *schedprio_help; /* Set the priority according to the given scheduler help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int mount_given ;	/* Whether mount was given.  */
  int uname_given ;	/* Whether uname was given.  */
  int ipc_given ;	/* Whether ipc was given.  */
  unsigned int mask_given ;	/* Whether mask was given.  */
  int chroot_given ;	/* Whether chroot was given.  */
  int uid_given ;	/* Whether uid was given.  */
  int username_given ;	/* Whether username was given.  */
  unsigned int gid_given ;	/* Whether gid was given.  */
  unsigned int groupname_given ;	/* Whether groupname was given.  */
  int daemonize_given ;	/* Whether daemonize was given.  */
  int alarm_given ;	/* Whether alarm was given.  */
  int nice_given ;	/* Whether nice was given.  */
  int sched_given ;	/* Whether sched was given.  */
  int schedprio_given ;	/* Whether schedprio was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *gengetopt_args_info_purpose;
extern const char *gengetopt_args_info_usage;
extern const char *gengetopt_args_info_help[];

int cmdline_parser (int argc, char * const *argv,
  struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv,
  struct gengetopt_args_info *args_info,
  int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename,
  struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_required (struct gengetopt_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* CMDLINE_H */
